API referenceAdmin applications
List applications
agw_identity_auth.session_token<token>
The console's session cookie. Admin requests from the console also send x-console-request: 1.
In: cookie
Query Parameters
month?string
YYYY-MM; defaults to the current UTC month.
Match
^\d{4}-(?:0[1-9]|1[0-2])$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/admin/apps"{ "month": "string", "has_proxied_requests": true, "apps": [ { "id": "string", "name": "string", "status": "active", "authentication_type": "apple_app_attest", "apple_bundle_id": "string", "created_at": "string", "providers": [ "string" ], "referenced_providers": [ "string" ], "allowed_model_count": 0, "monthly_budget_usd": 0, "users": { "total": 0, "blocked": 0 }, "usage": { "requests": 0, "input_tokens": 0, "cached_input_tokens": 0, "cache_write_tokens": 0, "output_tokens": 0, "cost_usd": 0, "errors": 0 } } ]}Call a server-configured custom endpoint
Call a server-configured custom endpoint (POST /v1/apps/{app}/endpoints/{slug}) in the App AI Gateway API. Accepts a gateway token or an app API key.
Create an application
Create an application (POST /v1/admin/apps) in the App AI Gateway API. Accepts a management key, MCP OAuth token or console session.